#
# Conditinal build:
%bcond_without	apidocs		# disable API documentation

Summary:	Nautilus extension which adds customized command in Nautilus menu
Summary(pl.UTF-8):	Rozszerzenie dodające własne polecenia w menu Nautilusa
Name:		nautilus-actions
Version:	3.2.3
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/nautilus-actions/3.2/%{name}-%{version}.tar.xz
# Source0-md5:	45c4715e60bb92180cb85fcbc0d58071
Patch0:		%{name}-desktop.patch
URL:		http://www.grumz.net/node/8/
BuildRequires:	GConf2-devel >= 2.8.0
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gnome-common
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgtop-devel >= 1:2.23.1
BuildRequires:	libtool
BuildRequires:	libunique-devel
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	nautilus-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xorg-lib-libSM-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	nautilus >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nautilus extension which allow to configure program to be launch on
files selected into Nautilus interface.

%description -l pl.UTF-8
Rozszerzenie pozwalające na skonfigurowanie programu uruchamianego na
pliku wybranym w Nautilusie.

%package devel
Summary:	Header files for nautilus-actions
Summary(pl.UTF-8):	Pliki nagłówkowe nautilus-actions
Group:		X11/Development/Libraries
Requires:	GConf2-devel >= 2.8.0
Requires:	glib2-devel >= 1:2.16.0

%description devel
Header files for nautilus-actions.

%description devel -l pl.UTF-8
Pliki nagłówkowe nautilus-actions.

%package apidocs
Summary:	Nautilus Actions API documentation
Summary(pl.UTF-8):	Dokumentacja API Nautilus Actions
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Nautilus Actions API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Nautilus Actions.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-schemas-install

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf docs-installed
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} docs-installed
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus-actions/*.la

%{!?with_apidocs:%{__rm} -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docs-installed/*
%attr(755,root,root) %{_bindir}/nautilus-actions-config-tool
%attr(755,root,root) %{_bindir}/nautilus-actions-new
%attr(755,root,root) %{_bindir}/nautilus-actions-print
%attr(755,root,root) %{_bindir}/nautilus-actions-run
%dir %{_libdir}/nautilus-actions
%attr(755,root,root) %{_libdir}/nautilus-actions/libna-core.so
%attr(755,root,root) %{_libdir}/nautilus-actions/libna-io-desktop.so
%attr(755,root,root) %{_libdir}/nautilus-actions/libna-io-gconf.so
%attr(755,root,root) %{_libdir}/nautilus-actions/libna-io-xml.so
%attr(755,root,root) %{_libdir}/nautilus-actions/na-delete-xmltree
%attr(755,root,root) %{_libdir}/nautilus-actions/na-gconf2key.sh
%attr(755,root,root) %{_libdir}/nautilus-actions/na-print-schemas
%attr(755,root,root) %{_libdir}/nautilus-actions/na-set-conf
%{_datadir}/%{name}
%{_desktopdir}/nact.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-actions-menu.so
%attr(755,root,root) %{_libdir}/nautilus/extensions-3.0/libnautilus-actions-tracker.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/nautilus-actions

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/nautilus-actions-3
%endif
%changelog
* Fri Apr 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nautilus-actions.git;a=log;h=master

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> b5132e9
- noarch apidocs

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f73b3ec
- updated gettext BR

* Sun Nov 16 2014 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> caf90a7
- Updated to 3.2.3

* Sun Jul 13 2014 Łukasz Kieś <kiesiu@pld-linux.org> 4ddfe49
- libgtop rebuild
- release 2 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> bd243a9
- updated to 3.2.2

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> ba4c03b
- obsoleted

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> 07bf08f
- extensions aren't suppose to install toolbar items anymore.

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> 2f9cdff
- updated to 3.0.7
- drop obsoleted -asneeded.patch
- extensions aren't suppose to install toolbar items anymore (patch)
- updated deps
- BR: libgtop-devel >= 1:2.23.1

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> d59b583
- Requires(post,postun): gtk-update-icon-cache

* Sun Jun 20 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 402bdbe
- updated to 2.30.3

* Thu Apr 15 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 32a41b9
- updated to 2.30.2

* Wed Apr 14 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 8e17486
- updated to 2.30.1

* Sat Mar 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 72f65fc
- updated to 2.30.0
- added -devel subpackage
- added -asneeded.patch to fix linking

* Sat Mar 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 941121c
- updated for 2.30.0

* Sat Mar 27 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 498b19e
- fixes linking

* Sat Nov 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 387f798
- updated for 1.12.3

* Sat Nov 07 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 422938d
- updated to 1.12.3

* Tue Mar 18 2008 Marcin Banasiak <marcin.banasiak@gmail.com> bfc8872
- make it ready for new nautilus
- release 2

* Fri Dec 28 2007 zbyniu <zbyniu@pld-linux.org> e734973
- in sources

* Fri Dec 28 2007 zbyniu <zbyniu@pld-linux.org> 0bacc82
- up to 1.4.1; ldadd.patch in sources

